## muroar 0.1.1

=== Makefile ===
include Makefile.conf

LIBNAME=libmuroar

SOVERSION = 0

SLIB_BASE=$(LIBNAME)$(SHARED_SUFFIX)
SLIB=$(SLIB_BASE).$(SOVERSION)
ALIB=$(LIBNAME).a
BIN = muroarstream
MANPAGES_1=$(BIN).1
MANPAGES_3=muroar_beep.3 muroar_quit.3 muroar_close.3 muroar_connect.3 muroar_stream.3 muroar_write.3 muroar_read.3
TARGETS=$(SLIB) $(ALIB) $(BIN)

HEADER=muroar.h

OBJS=muroar.o muroario.o

CFLAGS  += -Wall -Wextra $(fPIC)
LDFLAGS += -Wall -Wextra

NETLIBS  = $(lib_wsock32) $(lib_ws2_32)
LIBS    += $(NETLIBS)

all: prepare ${TARGETS}
clean:
	rm -f ${TARGETS} *.o
	rm -f '$(SLIB_BASE)'
distclean: clean
	rm -f Makefile.conf config.log

prepare: $(SLIB_BASE)

$(SLIB_BASE):
	ln -fs '$(SLIB)' '$(SLIB_BASE)'

new: clean all

prep-install-dirs:
	mkdir -p '$(DESTDIR)$(PREFIX_BIN)'
	mkdir -p '$(DESTDIR)$(PREFIX_LIB)'
	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'
	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man3'

install: all prep-install-dirs
	cp $(cp_v) $(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(ALIB)    '$(DESTDIR)$(PREFIX_LIB)'
	cp $(cp_v) $(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	cp $(cp_v) $(HEADER)  '$(DESTDIR)$(PREFIX_INC)'
	set -e; for p in $(MANPAGES_1); do cp $(cp_v) $$p '$(DESTDIR)$(PREFIX_MAN)/man1/'; done
	set -e; for p in $(MANPAGES_3); do cp $(cp_v) $$p '$(DESTDIR)$(PREFIX_MAN)/man3/'; done
	ln -fs '$(SLIB)' '$(DESTDIR)$(PREFIX_LIB)$(SLIB_BASE)'

semi-install: all prep-install-dirs
	ln -fs `pwd`/$(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(ALIB)    '$(DESTDIR)$(PREFIX_LIB)'
	ln -fs `pwd`/$(BIN)     '$(DESTDIR)$(PREFIX_BIN)'
	ln -fs `pwd`/$(HEADER)  '$(DESTDIR)$(PREFIX_INC)'
	set -e; for p in $(MANPAGES_1); do ln -fs `pwd`/$$p '$(DESTDIR)$(PREFIX_MAN)/man1/'; done
	set -e; for p in $(MANPAGES_3); do ln -fs `pwd`/$$p '$(DESTDIR)$(PREFIX_MAN)/man3/'; done
	ln -fs '$(DESTDIR)$(PREFIX_LIB)$(SLIB)' '$(DESTDIR)$(PREFIX_LIB)$(SLIB_BASE)'

uninstall:
	rm -f '$(DESTDIR)$(PREFIX_BIN)'/$(BIN)
	rm -f '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB)
	rm -f '$(DESTDIR)$(PREFIX_LIB)'/$(SLIB_BASE)
	rm -f '$(DESTDIR)$(PREFIX_LIB)'/$(ALIB)
	rm -f '$(DESTDIR)$(PREFIX_INC)'/$(HEADER)
	rm -f '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)
	set -e; for p in $(MANPAGES_1); do rm -f '$(DESTDIR)$(PREFIX_MAN)'/man1/$$p; done
	set -e; for p in $(MANPAGES_3); do rm -f '$(DESTDIR)$(PREFIX_MAN)'/man3/$$p; done

$(SLIB): ${OBJS}
	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(SLIB) -o $(SLIB) ${OBJS} ${LIBS}
$(ALIB): ${OBJS}
	${AR} cru $(ALIB) ${OBJS}
	${RANLIB} $(ALIB)

muroarstream: muroarstream.o
	${CC} ${LDFLAGS} -o muroarstream muroarstream.o -L. -lmuroar ${LIBS}

=== debian/changelog ===
muroar (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 05 May 2010 09:27:08 +0200

muroar (0.1.0-2) unstable; urgency=low

  * Add missing bash completion script.
    Closes: #575335

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 25 Mar 2010 19:17:01 +0100

muroar (0.1.0-1) unstable; urgency=low

  * New upstream release.
    - Add new development manpages to the libmuroar-dev package.
    - Adjust the copyright holder years in debian/copyright.
  * Remove wrong -p argument from dh_prep.
  * Remove now useless mandir prefix from debian/rules.
  * Extend the long description.
  * Suggest roaraudio-server.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 15 Mar 2010 21:44:09 +0100

muroar (0.1~rc2-1) unstable; urgency=low

  * Initial release.
    Closes: #549400

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 28 Feb 2010 18:03:28 +0100

=== debian/control ===
Source: muroar
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.4
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libmuroar0
Architecture: any
Suggests: roaraudio, roaraudio-server
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: minimalist RoarAudio client library
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 It is completely network transparent (UNIX sockets and TCP/IP) and supports
 many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This is a minimalist client library for RoarAudio.
 It exists because it allows non-GPL applications to use
 the RoarAudio sound system.

Package: libmuroar0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}, libmuroar0 (= ${binary:Version})
Description: minimalist RoarAudio client library (debugging symbols)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 It is completely network transparent (UNIX sockets and TCP/IP) and supports
 many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This is a minimalist client library for RoarAudio.
 It exists because it allows non-GPL applications to use
 the RoarAudio sound system.
 .
 This package provides the debugging symbols for the libmuroar library.

Package: libmuroar-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmuroar0 (= ${binary:Version})
Description: minimalist RoarAudio client library (development headers)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 It is completely network transparent (UNIX sockets and TCP/IP) and supports
 many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This is a minimalist client library for RoarAudio.
 It exists because it allows non-GPL applications to use
 the RoarAudio sound system.
 .
 This package contains the development headers for the libmuroar library.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status:
	dh_testdir
	./configure --prefix /usr

build: build-stamp
build-stamp: config.status
	dh_testdir
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	[ ! -f Makefile.conf ] || $(MAKE) distclean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	cp -f bash_completion $(CURDIR)/debian/tmp/etc/bash_completion.d/muroar

binary-indep:

binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a ChangeLog
	dh_installdocs -a
	dh_install -a
	dh_installman -a
	dh_strip -a --dbg-package=libmuroar0-dbg
	dh_compress -a
	dh_fixperms -a
	dh_makeshlibs -a
	dh_shlibdeps -a
	dh_installdeb -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

get-orig-source:
	@@dh_testdir
	@@[ -d ../tarballs/. ]||mkdir -p ../tarballs
	@@uscan --force-download --destdir ../tarballs

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## muroar 0.1.2

=== Makefile ===
--- 
+++ 
@@ -9,17 +9,17 @@
 ALIB=$(LIBNAME).a
 BIN = muroarstream
 MANPAGES_1=$(BIN).1
-MANPAGES_3=muroar_beep.3 muroar_quit.3 muroar_close.3 muroar_connect.3 muroar_stream.3 muroar_write.3 muroar_read.3
+MANPAGES_3=muroar_noop.3 muroar_beep.3 muroar_quit.3 muroar_close.3 muroar_connect.3 muroar_stream.3 muroar_write.3 muroar_read.3
 TARGETS=$(SLIB) $(ALIB) $(BIN)
 
 HEADER=muroar.h
 
-OBJS=muroar.o muroario.o
+OBJS=muroar.o muroario.o muroar_noop.o muroar_beep.o
 
-CFLAGS  += -Wall -Wextra $(fPIC)
+CFLAGS  += -Wall -Wextra $(fPIC) $(def_dnet) $(def_header_endian_h)
 LDFLAGS += -Wall -Wextra
 
-NETLIBS  = $(lib_wsock32) $(lib_ws2_32)
+NETLIBS  = $(lib_dnet) $(lib_wsock32) $(lib_ws2_32)
 LIBS    += $(NETLIBS)
 
 all: prepare ${TARGETS}

=== debian/changelog ===
muroar (0.1.2-2) unstable; urgency=low

  * Do not build muroar with unavailable dnet support on hurd and kfreebsd.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 08 Jul 2010 18:23:48 +0200

muroar (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Do not configure muroar twice.
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Adjust Suggests and Recommends to honor muroard.
  * Build with new dnet support. Add libdnet-dev to build depends.
  * Add upstream author Philipp Schafft to uploaders.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 05 Jul 2010 21:25:59 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,17 @@
 Source: muroar
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7)
-Standards-Version: 3.8.4
+Uploaders: Philipp Schafft <lion@lion.leolix.org>
+Build-Depends: debhelper (>= 7),
+ libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
+Standards-Version: 3.9.0
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: libmuroar0
 Architecture: any
-Suggests: roaraudio, roaraudio-server
+Suggests: roaraudio | muroard
+Recommends: roaraudio-server
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: minimalist RoarAudio client library
  RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 config.status:
 	dh_testdir
 	./configure --prefix /usr
+	touch config.status
 
 build: build-stamp
 build-stamp: config.status
@@ -16,7 +17,7 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -f build-stamp config.status
 	[ ! -f Makefile.conf ] || $(MAKE) distclean
 	dh_clean

## muroar 0.1.4

=== debian/changelog ===
muroar (0.1.4-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Build with hardening-wrapper.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 30 Apr 2011 16:34:51 +0200

muroar (0.1.4-1) unstable; urgency=low

  * New upstream release.
    - Fixes a protocol violation preventing the user from connecting
      to some servers.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 14 Feb 2011 21:15:20 +0100

muroar (0.1.3-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 06 Feb 2011 16:32:56 +0100

muroar (0.1.3-1) experimental; urgency=low

  [ Patrick Matthäi ]
  * Bump Standards-Version to 3.9.1 (no changes needed).

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 14 Dec 2010 18:13:12 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
 Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
- libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64]
-Standards-Version: 3.9.0
+ libdnet-dev [!hurd-i386 !kfreebsd-i386 !kfreebsd-amd64],
+ hardening-wrapper
+Standards-Version: 3.9.2
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
 
 config.status:
 	dh_testdir

## muroar 0.1.6

=== debian/changelog ===
muroar (0.1.6-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
    - Fixed invalid pointer aliasing (needed on MIPS)
    - Improved usability of muroarstream(1).
  * Corrected changelog entry for version 0.1.5-1.
  * Install ckport database.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 18 Sep 2011 15:24:41 +0200

muroar (0.1.5-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.
  * Updated architecture depended dependencies (Closes: #634791)

  [ Philipp Schafft (amendment) ]
  * Fixed lintian warnings about missing rules targets (build-arch, build-indep)
  * Use linux-any architecture wildcard.

  [ Patrick Matthäi ]
  * Wrap dependency lines.

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 26 Aug 2011 22:14:41 +0200

## muroar 0.1.7

=== Makefile ===
--- 
+++ 
@@ -16,8 +16,8 @@
 
 OBJS=muroar.o muroario.o muroar_noop.o muroar_beep.o
 
-CFLAGS  += -Wall -Wextra $(fPIC) $(def_dnet) $(def_header_endian_h)
-LDFLAGS += -Wall -Wextra
+CFLAGS  += -Wall -Wextra -g $(fPIC) $(def_dnet) $(def_header_endian_h)
+LDFLAGS += -Wall -Wextra -g
 
 NETLIBS  = $(lib_dnet) $(lib_wsock32) $(lib_ws2_32)
 LIBS    += $(NETLIBS)

=== debian/changelog ===
muroar (0.1.7-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.3 (no changed needed).
  * Add lintian override about no-symbols-control-file.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sat, 25 Feb 2012 22:01:19 +0100

muroar (0.1.7-1) unstable; urgency=low

  [ Philipp Schafft ]
  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Sun, 13 Nov 2011 14:10:25 +0100

=== debian/control ===
Source: muroar
Priority: optional
Maintainer: Patrick Matthäi <pmatthaei@debian.org>
Uploaders: Philipp Schafft <lion@lion.leolix.org>
Build-Depends: debhelper (>= 7),
 libdnet-dev [linux-any],
 hardening-wrapper
Standards-Version: 3.9.3
Section: libs
Homepage: http://roaraudio.keep-cool.org/

Package: libmuroar0
Architecture: any
Suggests: roaraudio | muroard
Recommends: roaraudio-server
Depends: ${shlibs:Depends},
 ${misc:Depends}
Description: minimalist RoarAudio client library
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 It is completely network transparent (UNIX sockets, TCP/IP and DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This is a minimalist client library for RoarAudio.
 It exists because it allows non-GPL applications to use
 the RoarAudio sound system.

Package: libmuroar0-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmuroar0 (= ${binary:Version})
Description: minimalist RoarAudio client library (debugging symbols)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 It is completely network transparent (UNIX sockets, TCP/IP and DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This is a minimalist client library for RoarAudio.
 It exists because it allows non-GPL applications to use
 the RoarAudio sound system.
 .
 This package provides the debugging symbols for the libmuroar library.

Package: libmuroar-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 libmuroar0 (= ${binary:Version})
Description: minimalist RoarAudio client library (development headers)
 RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
 from different clients before sending it to its outputs (for example a
 soundcard).
 .
 It is completely network transparent (UNIX sockets, TCP/IP and DECnet) and
 supports many common codecs like Ogg Vorbis, Speex or FLAC.
 .
 This is a minimalist client library for RoarAudio.
 It exists because it allows non-GPL applications to use
 the RoarAudio sound system.
 .
 This package contains the development headers for the libmuroar library.

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,8 @@
 	touch config.status
 
 build: build-stamp
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp: config.status
 	dh_testdir
 	$(MAKE)
@@ -29,6 +31,8 @@
 	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
 	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
 	cp -f bash_completion $(CURDIR)/debian/tmp/etc/bash_completion.d/muroar
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/ckport/db
+	cp -f libmuroar.ckport $(CURDIR)/debian/tmp/usr/lib/ckport/db/
 
 binary-indep:
 
@@ -38,6 +42,7 @@
 	dh_installchangelogs -a ChangeLog
 	dh_installdocs -a
 	dh_install -a
+	dh_lintian -a
 	dh_installman -a
 	dh_strip -a --dbg-package=libmuroar0-dbg
 	dh_compress -a

## muroar 0.1.8

=== Makefile ===
--- 
+++ 
@@ -9,12 +9,12 @@
 ALIB=$(LIBNAME).a
 BIN = muroarstream
 MANPAGES_1=$(BIN).1
-MANPAGES_3=muroar_noop.3 muroar_beep.3 muroar_quit.3 muroar_close.3 muroar_connect.3 muroar_stream.3 muroar_write.3 muroar_read.3
+MANPAGES_3=muroar_noop.3 muroar_beep.3 muroar_quit.3 muroar_close.3 muroar_connect.3 muroar_stream.3 muroar_write.3 muroar_read.3 muroar_setvolume.3
 TARGETS=$(SLIB) $(ALIB) $(BIN)
 
 HEADER=muroar.h
 
-OBJS=muroar.o muroario.o muroar_noop.o muroar_beep.o
+OBJS=muroar.o muroario.o muroar_quit.o muroar_noop.o muroar_beep.o muroar_stream.o muroar_close.o muroar_setvolume.o
 
 CFLAGS  += -Wall -Wextra -g $(fPIC) $(def_dnet) $(def_header_endian_h)
 LDFLAGS += -Wall -Wextra -g

=== debian/changelog ===
muroar (0.1.8-2) unstable; urgency=low

  * Remove Philipp as co-maintainer.
    Closes: #682885
  * Add upstream patch 01-env-home-validation to add validation of $HOME.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 30 Jul 2012 13:39:15 +0200

muroar (0.1.8-1) unstable; urgency=low

  * New upstream release.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 17 Apr 2012 20:02:46 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: muroar
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Uploaders: Philipp Schafft <lion@lion.leolix.org>
 Build-Depends: debhelper (>= 7),
  libdnet-dev [linux-any],
  hardening-wrapper

## muroar 0.1.12

=== debian/changelog ===
muroar (0.1.12-3) unstable; urgency=high

  * Fix dh_auto_clean.
    Closes: #724112

 -- Patrick Matthäi <pmatthaei@debian.org>  Fri, 27 Sep 2013 22:24:21 +0200

muroar (0.1.12-2) unstable; urgency=low

  * Uploading to unstable.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 06 May 2013 09:20:27 +0200

muroar (0.1.12-1) experimental; urgency=low

  * New upstream release.
  * Migrate package to minimal debhelper and bump debian/compat to level 9.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 28 Mar 2013 09:23:11 +0100

muroar (0.1.11-1) experimental; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Switch to xz compression and add a Pre-Depends on dpkg.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 10 Dec 2012 14:21:59 +0100

muroar (0.1.10-1) experimental; urgency=low

  * New upstream release.
    - Drop merged patch 01-env-home-validation.
  * Overwrite false positive hardening-no-fortify-functions lintian warnings.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 31 Jul 2012 21:04:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: muroar
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 7),
+Build-Depends: debhelper (>= 9),
  libdnet-dev [linux-any],
  hardening-wrapper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Section: libs
 Homepage: http://roaraudio.keep-cool.org/
 
@@ -12,6 +12,8 @@
 Architecture: any
 Suggests: roaraudio | muroard
 Recommends: roaraudio-server
+Pre-Depends: ${misc:Pre-Depends},
+ dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: minimalist RoarAudio client library
@@ -30,6 +32,7 @@
 Section: debug
 Architecture: any
 Priority: extra
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmuroar0 (= ${binary:Version})
@@ -50,6 +53,7 @@
 Package: libmuroar-dev
 Section: libdevel
 Architecture: any
+Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmuroar0 (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_HARDENING=1

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH)/

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	cp -f bash_completion $(CURDIR)/debian/tmp/etc/bash_completion.d/muroar
	dh_install

override_dh_strip:
	dh_strip --dbg-package=libmuroar0-dbg

override_dh_builddeb:
	dh_builddeb -- -Zxz

=== debian/watch ===
version=3
http://roaraudio.keep-cool.org/downloads.html dl/muroar-(.*)\.tar\.gz

## muroar 0.1.13

=== Makefile ===
--- 
+++ 
@@ -10,6 +10,7 @@
 BIN = muroarstream
 MANPAGES_1=$(BIN).1
 MANPAGES_3=muroar_noop.3 muroar_beep.3 muroar_quit.3 muroar_close.3 muroar_connect.3 muroar_stream.3 muroar_write.3 muroar_read.3 muroar_setvolume.3
+MANPAGES_7=libmuroar.7
 TARGETS=$(SLIB) $(ALIB) $(BIN)
 
 HEADER=muroar.h
@@ -31,7 +32,7 @@
 
 prepare: $(SLIB_BASE)
 
-$(SLIB_BASE):
+$(SLIB_BASE): $(SLIB)
 	ln -fs '$(SLIB)' '$(SLIB_BASE)'
 
 new: clean all
@@ -42,6 +43,7 @@
 	mkdir -p '$(DESTDIR)$(PREFIX_INC)'
 	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man1'
 	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man3'
+	mkdir -p '$(DESTDIR)$(PREFIX_MAN)/man7'
 
 install: all prep-install-dirs
 	cp $(cp_v) $(SLIB)    '$(DESTDIR)$(PREFIX_LIB)'
@@ -50,6 +52,7 @@
 	cp $(cp_v) $(HEADER)  '$(DESTDIR)$(PREFIX_INC)'
 	set -e; for p in $(MANPAGES_1); do cp $(cp_v) $$p '$(DESTDIR)$(PREFIX_MAN)/man1/'; done
 	set -e; for p in $(MANPAGES_3); do cp $(cp_v) $$p '$(DESTDIR)$(PREFIX_MAN)/man3/'; done
+	set -e; for p in $(MANPAGES_7); do cp $(cp_v) $$p '$(DESTDIR)$(PREFIX_MAN)/man7/'; done
 	ln -fs '$(SLIB)' '$(DESTDIR)$(PREFIX_LIB)$(SLIB_BASE)'
 
 semi-install: all prep-install-dirs
@@ -59,6 +62,7 @@
 	ln -fs `pwd`/$(HEADER)  '$(DESTDIR)$(PREFIX_INC)'
 	set -e; for p in $(MANPAGES_1); do ln -fs `pwd`/$$p '$(DESTDIR)$(PREFIX_MAN)/man1/'; done
 	set -e; for p in $(MANPAGES_3); do ln -fs `pwd`/$$p '$(DESTDIR)$(PREFIX_MAN)/man3/'; done
+	set -e; for p in $(MANPAGES_7); do ln -fs `pwd`/$$p '$(DESTDIR)$(PREFIX_MAN)/man7/'; done
 	ln -fs '$(DESTDIR)$(PREFIX_LIB)$(SLIB)' '$(DESTDIR)$(PREFIX_LIB)$(SLIB_BASE)'
 
 uninstall:
@@ -70,6 +74,7 @@
 	rm -f '$(DESTDIR)$(PREFIX_MAN)'/man1/$(MANPAGE)
 	set -e; for p in $(MANPAGES_1); do rm -f '$(DESTDIR)$(PREFIX_MAN)'/man1/$$p; done
 	set -e; for p in $(MANPAGES_3); do rm -f '$(DESTDIR)$(PREFIX_MAN)'/man3/$$p; done
+	set -e; for p in $(MANPAGES_7); do rm -f '$(DESTDIR)$(PREFIX_MAN)'/man7/$$p; done
 
 $(SLIB): ${OBJS}
 	${CC} ${LDFLAGS} $(SHARED) -Wl,-soname,$(SLIB) -o $(SLIB) ${OBJS} ${LIBS}

=== dist/OpenBSD/Makefile ===
COMMENT         = minimalist library to access RoarAudio

V               = 0.1rc2
DISTNAME        = muroar-$V

CATEGORIES      = audio

HOMEPAGE        = http://roaraudio.keep-cool.org/
MASTER_SITES    = ${HOMEPAGE}dl/

MAINTAINER      = Philipp ph3-der-loewe Schafft <lion@lion.leolix.org>

# LGPLv3
PERMIT_DISTFILES_CDROM =        Yes
PERMIT_DISTFILES_FTP =          Yes
PERMIT_PACKAGE_CDROM =          Yes
PERMIT_PACKAGE_FTP =            Yes

LIB_DEPENDS     = c
WANTLIB         = c

USE_GMAKE       = Yes
NO_REGRESS      = Yes

CONFIGURE_STYLE = simple
CONFIGURE_ARGS += --prefix ${WRKINST}${PREFIX} \
                  --prefix-man ${WRKINST}${PREFIX}/man

.include <bsd.port.mk>

=== debian/changelog ===
muroar (0.1.13-7) unstable; urgency=medium

  * Adjust lintian overrides.
  * Bump Standards-Version to 4.5.1.
  * Update debian/watch file standard to version 4.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 19 Nov 2020 14:58:59 +0100

muroar (0.1.13-6) unstable; urgency=medium

  * Add patch from Chris Lamb to fix a non-deterministically FTBFS.
    Closes: #968189
  * Bump debhelper-compat to level 13.
    - Use full installation paths for manpages, so that dh_missing can compare
      the files.
  * Add some missing manpages.
  * Adjust lintian overrides.
  * Add patch 03-spelling-errors.

 -- Patrick Matthäi <pmatthaei@debian.org>  Tue, 25 Aug 2020 10:20:09 +0200

muroar (0.1.13-5) unstable; urgency=medium

  * Bump Standards-Version to 4.5.0.
  * Use the new debhelper-compat notation, and drop the d/compat file.
  * Adjust source lintian-overrides.
  * Set Rules-Requires-Root: no.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 23 Jan 2020 16:33:06 +0100

muroar (0.1.13-4) unstable; urgency=medium

  * Bump Standards-Version to 4.0.0 (no changes required).
  * Drop dbg package.
  * Add patch 02-spelling-error.

 -- Patrick Matthäi <pmatthaei@debian.org>  Thu, 27 Jul 2017 15:53:22 +0200

muroar (0.1.13-3) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8 (no changes required).
  * Enable full hardening.
  * Add patch 01-spelling-error to fix spelling errors.
  * Add new package muroar-bin.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 04 May 2016 21:40:21 +0200

muroar (0.1.13-2) unstable; urgency=low

  * Bump Standards-Version to 3.9.6 (no changes needed).
  * Update to the DEP5 debian/copyright format.
  * Remove deprecated hardening-wrapper.
  * Remove libdnet support. It will be removed soon.
  * Add GPG signature check for uscan.
  * Install bash completion scripts to usr/share/bash-completion/completions.
  * Remove .comment section from libmuroar.a.
  * Add Multi-Arch information for libmuroar0.

 -- Patrick Matthäi <pmatthaei@debian.org>  Wed, 08 Jul 2015 20:52:06 +0200

muroar (0.1.13-1) unstable; urgency=medium

  * New upstream release.
    - Fixes Mayhem bug in muroarstream.
      Closes: #716122
  * Bump Standards-Version to 3.9.5 (no changes needed).
  * Don't explicitly request xz compression - dpkg 1.17 does this by default.

 -- Patrick Matthäi <pmatthaei@debian.org>  Mon, 07 Apr 2014 16:44:27 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,18 @@
 Source: muroar
 Priority: optional
 Maintainer: Patrick Matthäi <pmatthaei@debian.org>
-Build-Depends: debhelper (>= 9),
- libdnet-dev [linux-any],
- hardening-wrapper
-Standards-Version: 3.9.4
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
 Section: libs
+Rules-Requires-Root: no
 Homepage: http://roaraudio.keep-cool.org/
 
 Package: libmuroar0
 Architecture: any
 Suggests: roaraudio | muroard
 Recommends: roaraudio-server
-Pre-Depends: ${misc:Pre-Depends},
- dpkg (>= 1.15.6~)
+Pre-Depends: ${misc:Pre-Depends}
+Multi-Arch: same
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Description: minimalist RoarAudio client library
@@ -28,15 +27,15 @@
  It exists because it allows non-GPL applications to use
  the RoarAudio sound system.
 
-Package: libmuroar0-dbg
-Section: debug
+Package: muroar-bin
 Architecture: any
-Priority: extra
-Pre-Depends: dpkg (>= 1.15.6~)
+Section: utils
 Depends: ${shlibs:Depends},
- ${misc:Depends},
- libmuroar0 (= ${binary:Version})
-Description: minimalist RoarAudio client library (debugging symbols)
+ ${misc:Depends}
+Breaks: libmuroar0 (<< 0.1.13-3)
+Replaces: libmuroar0 (<< 0.1.13-3)
+Multi-Arch: foreign
+Description: minimalist RoarAudio client library (binary package)
  RoarAudio is a sound-server for audio mixing. Its main purpose is to mix audio
  from different clients before sending it to its outputs (for example a
  soundcard).
@@ -48,12 +47,11 @@
  It exists because it allows non-GPL applications to use
  the RoarAudio sound system.
  .
- This package provides the debugging symbols for the libmuroar library.
+ This package contains the binary applications, like muroarstream.
 
 Package: libmuroar-dev
 Section: libdevel
 Architecture: any
-Pre-Depends: dpkg (>= 1.15.6~)
 Depends: ${shlibs:Depends},
  ${misc:Depends},
  libmuroar0 (= ${binary:Version})

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := \
	--prefix /usr \
	--prefix-lib /usr/lib/$(DEB_HOST_MULTIARCH)/

%:
	dh $@

override_dh_auto_clean:
	[ ! -f Makefile.conf ] || $(MAKE) distclean

override_dh_auto_build:
	dh_auto_build --no-parallel

override_dh_auto_configure:
	./configure $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/
	cp -f bash_completion $(CURDIR)/debian/tmp/usr/share/bash-completion/completions/muroar
	dh_install
	strip --remove-section=.comment \
		$(CURDIR)/debian/libmuroar-dev/usr/lib/$(DEB_HOST_MULTIARCH)/libmuroar.a

=== debian/watch ===
version=4
opts=\
pgpsigurlmangle=s/$/.asc/,\
uversionmangle=s/~//;s/beta/~beta/;s/-pr/~pr/;s/rc/~rc/ \
http://roaraudio.keep-cool.org/downloads.html dl/muroar-(.*)\.tar\.gz
